<?php 
if (isset($_POST['info_update'])) 
{
	$updateOption = false;
	
	// Save Mobile stylesheet
	$file = WP_UPLOAD_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'css'.DIRECTORY_SEPARATOR.'style.css';
	architect_check_path(WP_UPLOAD_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'css'.DIRECTORY_SEPARATOR);
	
	if(is_readable($file))
	{
		$stylesheet = file_get_contents($file);
	} else
	{
		$stylesheet = '';
	}
	
	if(!file_exists($file))
	{
		// Create file if it doesn't exist
		@file_put_contents($file, "");
	}
	
	if(is_writable($file))
	{
		if(stripslashes($_POST['architect_stylesheet']) != $stylesheet)
		{
			if(file_put_contents($file, stripslashes($_POST['architect_stylesheet'])))
			{
				$updateOption = true;
			}
		}
	} else
	{
		echo '<div class="updated" style="background:#F24318;color:#000;border-color:#B23112;"><p>"'.$file.'" is not writable - change the permissions to save the stylesheet!</p></div>';
	}
	
	// Save custom stylesheet
	$custom_file = WP_UPLOAD_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'css'.DIRECTORY_SEPARATOR.'custom_style.css';
	
	if(is_readable($custom_file))
	{
		$custom_stylesheet = file_get_contents($custom_file);
	} else
	{
		$custom_stylesheet = '';
	}
	
	if(!file_exists($custom_file))
	{
		// Create file if it doesn't exist
		@file_put_contents($custom_file, "");
	}
	
	if(is_writable($custom_file))
	{
		if(stripslashes($_POST['architect_custom_stylesheet']) != $custom_stylesheet)
		{
			if(file_put_contents($custom_file, stripslashes($_POST['architect_custom_stylesheet'])))
			{
				$updateOption = true;
			}
		}
	} else
	{
		echo '<div class="updated" style="background:#F24318;color:#000;border-color:#B23112;"><p>"'.$custom_file.'" is not writable - change the permissions to save the stylesheet!</p></div>';
	}
}

if(isset($updateOption) AND $updateOption == true)
{
	echo "<div class='updated fade'><p><strong>Settings saved</strong></p></div>";
}

if(!isset($oldVersion) OR $oldVersion == false)
{
	echo '<div class="wrap">';
	echo '<form method="post" action="admin.php?page=architect-theme" enctype="multipart/form-data">';

	echo architect_admin_header('2', 'Wapple Architect Mobile Theme Settings');
} else
{
	echo '<h3>Mobile Theme Settings</h3>';
}	
echo architect_table_start();

// Mobile stylesheet
if(file_exists(WP_UPLOAD_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'css'.DIRECTORY_SEPARATOR.'style.css'))
{
	$file = WP_UPLOAD_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'css'.DIRECTORY_SEPARATOR.'style.css';
} else
{
	$file = WP_PLUGIN_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'theme'.DIRECTORY_SEPARATOR.'style.css';
}

echo architect_admin_option('textarea', array('label' => 'Mobile Stylesheet', 'name' => 'architect_stylesheet', 'value' => file_get_contents($file)));

// Custom stylesheet
if(file_exists(WP_UPLOAD_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'css'.DIRECTORY_SEPARATOR.'custom_style.css'))
{
	$file = WP_UPLOAD_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'css'.DIRECTORY_SEPARATOR.'custom_style.css';
} else
{
	$file = WP_PLUGIN_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'theme'.DIRECTORY_SEPARATOR.'custom_style.css';
}
echo architect_admin_option('textarea', array('label' => 'Custom Mobile Stylesheet', 'name' => 'architect_custom_stylesheet', 'value' => file_get_contents($file)));

echo '</table>';

if(!isset($oldVersion) OR $oldVersion == false)
{
	echo '<table class="form-table" cellspacing="2" cellpadding="5" width="100%"><tr><td><p class="submit"><input class="button-primary" type="submit" name="info_update" value="Save Changes" /></p></td></tr></table>';
	echo '</form></div>';
}

?>